Subject: bug#51296: [PATCH] Add WebP format support

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Oct 2021 09:16:04 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 21 Oct 2021 14:19:26 -0700
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > And if you use SDATA instead of SSDATA?
> 
> Yes, that fixed it.  I guess SSDATA is there specifically to avoid
> casting warnings, but in this case only produced one...

Yes.  The original macro was SDATA, and we added SSDATA later, when
GCC started emitting these annoying warnings.

> > Otherwise, I think this is good to go, thanks.
> 
> Great!  If it's fine by you, I will push this to master tomorrow (or the
> day after) at a time when you are typically online, just in case there
> is any fallout on MS-Windows.

Please go ahead, and thanks.